<?php
/**
 * 
 * CUSTOM CLASS WRITTEN BY WASEEM MEHMOOD
 * 20-10-2021
 * 
 */
require_once ('PHPMailer.php');
require ("SMTP.php");
require ("Exception.php");

class email
{

    private $smtpSecurity;

    private $smtpHost;

    private $smtpPort;

    private $smtpAuth;

    private $smtpDebug;

    private $emailTo;

    private $Subject;

    private $Body;

    private bool $is_bcc_admin;

    private bool $is_bcc_designer;

    function __construct()
    {
        $this->is_bcc_admin = FALSE;
        $this->is_bcc_designer = FALSE;
        $this->smtpSecurity = "tls"; // ssl
        $this->smtpHost = 'smtp.gmail.com';
        $this->smtpPort = 587; // 465
        $this->smtpAuth = true;
        $this->smtpDebug = false;

        // $mail->IsSMTP(); // enable SMTP
        // $mail->CharSet="windows-1251";
        // $mail->SMTPDebug = $smtpDebug; // debugging: 1 = errors and messages, 2 = messages only
        // $mail->SMTPAuth = $smtpAuth; // authentication enabled
        // $mail->SMTPSecure = $smtpSecurity; // secure transfer enabled REQUIRED for Gmail
        // $mail->Host = $smtpHost; // $smtpHost;
        // $mail->Port = $smtpPort; // $smtpPort;
        // $mail->Username = $user; // $smtpUser;
        // $mail->Password = $password; // $smtpPassword;
    }

    function BCCAdmin()
    {
        $this->is_bcc_admin = TRUE;
    }

    function BCCDesigner()
    {
        $this->is_bcc_designer = TRUE;
    }

    function Send($emailTo, $subject, $body)
    {
        $mail = new PHPMailer\PHPMailer\PHPMailer(); // create a new object
        $mail->CharSet = "utf-8";
        $mail->AddReplyTo('frank@woodbusinesscard.com', "Frank woodbusiness card guy");
        $mail->SetFrom('sales@woodbusinesscard.com', "Wood Business Cards");
        $mail->Subject = $subject;
        $mail->IsHTML(true);
        $mail->Body = $body;
        $mail->AddAddress($emailTo);
        if ($this->is_bcc_admin) {
            $mail->AddBCC('frank@metalcardguy.com');
            $mail->AddBCC('waseem.mehmood01@gmail.com');
        }
        
        if ($this->is_bcc_designer) {
            $mail->AddBCC('professionalcreative01@gmail.com');
        }

        if (! $mail->Send()) {
            echo $mail->ErrorInfo;
            return false;
        } else {
            return true;
        }
    }
}

