<?php

@extract($_GET);


$properties_rooms_id = isset($_REQUEST['properties_rooms_id']) ? (int)$_REQUEST['properties_rooms_id'] : '';

$checkout_date = isset($_REQUEST['checkout_date']) ? trim(urldecode($_REQUEST['checkout_date'])) : '';

$checkin_date = isset($_REQUEST['checkin_date']) ? trim(urldecode($_REQUEST['checkin_date'])) : '';


if ($properties_rooms_id <> '') {
    $get_room = DB::queryFirstRow("select * from properties_rooms where properties_rooms_id = '" . $properties_rooms_id . "'");
}


$total_nights = ceil(floor(strtotime($checkout_date) - strtotime($checkin_date)) / 86400);


if (isset($_POST['btnSaveBooking'])) {
    //print_r($_POST);
    @extract($_POST);

    $is_paid = isset($_POST['is_paid']) ? (int)$_POST['is_paid'] : 0;
    //find customer

    $customers_id = DB::queryFirstField("SELECT customers_id FROM customers WHERE contact = '" . $phone . "' OR email = '" . $email . "'");
    if ($customers_id) {
        DB::update('customers', array(
            'fname' => $firstName,
            'lname' => $lastName,
            'email' => $email,
            'contact' => $phone,
            'address' => $address,
            'city' => $city,
            'state' => $state,
            'country' => $country,
            'zip' => $zip,
            'newsletter' => '1',
            'passport_no' => $passport_no,
            'passport_expiry_date' => $passport_expiry_date,
            'passport_country' => $country,
            'created_on' => $now,
            'active' => '1'
        ), 'customers_id=%s', $customers_id);
    } else {
        DB::insert('customers', array(
            'fname' => $firstName,
            'lname' => $lastName,
            'email' => $email,
            'contact' => $phone,
            'address' => $address,
            'city' => $city,
            'state' => $state,
            'country' => $country,
            'zip' => $zip,
            'newsletter' => '1',
            'passport_no' => $passport_no,
            'passport_expiry_date' => date('Y-m-d', strtotime($passport_expiry_date)),
            'passport_country' => $country,
            'created_on' => $now,
            'active' => '1'
        ));
        $customers_id = DB::insertId();

    }

    DB::insert('bookings', array(
        'bookings_ref' => 'FRA' . $customers_id,
        'customers_id' => $customers_id,
        'customer_name' => $firstName . ' ' . $lastNameName,
        'customer_phone' => $phone,
        'customer_email' => $email,
        'properties_id' => $properties_id,
        'properties_rooms_id' => $properties_rooms_id,
        'total_persons' => $total_persons,
        'booked_on' => $now,
        'charges' => $charges,
        'tax' => 0,
        'discount' => 0,
        'total_payable' => $charges,
        'checkin_date' => date('Y-m-d', strtotime($checkin_date)),
        'checkout_date' => date('Y-m-d', strtotime($checkout_date)),
        'is_paid' => $is_paid,
        'created_on' => $now,
        'status' => 'open'
    ));

    $booking_id = DB::insertId();

    DB::update('bookings', array(
        'bookings_ref' => $booking_id.'-URB-' . $customers_id,
    ),'bookings_id=%s', $booking_id);
    echo "<script>
Swal.fire({
  title: 'Booking confirmed',
  text: 'Want to checkin now ? ',
  icon: 'success',
  showCancelButton: true,
  customClass: {
    confirmButton: 'btn btn-dark',
    cancelButton: 'btn btn-light'
  },
  buttonsStyling: false,
  confirmButtonText: 'Yes',
  cancelButtonText: 'Not now'
}).then((result) => {
  if (result.isConfirmed) {
  location.href='?route=modules/hotel/new_checkin&booking_id=" . $booking_id . "';
  } else {
   location.href='?route=modules/hotel/bookings';
  }
})
</script>";
    
}


?>


<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">

                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->

                        <form method="POST" action="">
                            <input type="hidden" name="checkin_date" value="<?php echo @$checkin_date; ?>">
                            <input type="hidden" name="checkout_date" value="<?php echo @$checkout_date; ?>">
                            <input type="hidden" name="total_persons" value="<?php echo @$total_persons; ?>">
                            <input type="hidden" name="properties_id" value="<?php echo @$properties_id; ?>">
                            <input type="hidden" name="charges"
                                   value="<?php echo $get_room['charges'] * $total_nights; ?>">
                            <input type="hidden" name="properties_rooms_id"
                                   value="<?php echo @$properties_rooms_id; ?>">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card">
                                        <div class="card-header">
                                            <h5>New Booking</h5>

                                            <a href="javascript:history.go(-2)" class="btn btn-outline-dark pull-right"><i
                                                        class="fas fa-chevron-left"></i> Change date</a>
                                        </div>
                                        <div class="card-block">

                                            <div class="row">
                                                <div class="col-sm-8 offset-sm-2">
                                                    <h3><?php echo $get_room['name']; ?></h3>
                                                    <h6>Charges: $<?php echo $get_room['charges']; ?> <small>Per
                                                            night</small></h6>
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <td><h5 class="text-warning">Check In:</h5>
                                                                <h6><?php echo date('D-d F', strtotime($_GET['checkin_date'])); ?></h6>
                                                            </td>
                                                            <td><h5 class="text-warning">Check Out:</h5>
                                                                <h6><?php echo date('D-d F', strtotime($_GET['checkout_date'])); ?></h6>
                                                            </td>
                                                            <td><h5 class="text-warning">Total Nights:</h5>
                                                                <h6><?php echo $total_nights; ?></h6></td>

                                                        </tr>
                                                    </table>
                                                    <div class="pull-right">
                                                        <h5>Total Payable:
                                                            $<strong><?php echo $get_room['charges'] * $total_nights; ?></strong>
                                                        </h5>
                                                        <br>
                                                        <h6>
                                                            <div class="form-check-inline">
                                                                <label class="form-check-label">
                                                                    <input type="checkbox" name="is_paid" value="1"
                                                                           class="form-check-input"
                                                                           CHECKED>Paid
                                                                </label>
                                                            </div>
                                                        </h6>
                                                    </div>
                                                </div>


                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="col-sm-8 offset-sm-2">
                                                    <h5>Customer Information</h5>


                                                    <div class="row">
                                                        <div class="col-sm-6">

                                                            <div class="form-group row">
                                                                <div class="col-md-6">
                                                                    <label for="firstName"
                                                                           class="required">First</label> <input
                                                                            type="text"
                                                                            class="form-control required" value=""
                                                                            name="firstName"
                                                                            id="setfirstName" placeholder="Name"
                                                                            autocomplete="no" required="required">
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <label for="lastName" class="required">Last</label>
                                                                    <input type="text"
                                                                           class="form-control" value="" name="lastName"
                                                                           id="setlastName"
                                                                           placeholder="Name" autocomplete="no"
                                                                           required="required">
                                                                </div>
                                                            </div>

                                                            <div class="form-group row">
                                                                <div class="col-md-12">
                                                                    <label class="required">Email</label>
                                                                    <input type="email"
                                                                           class="form-control" value="" name="email"
                                                                           id="email"
                                                                           placeholder="email" autocomplete="no"
                                                                           required="required">
                                                                </div>
                                                            </div>

                                                            <div class="form-group row">
                                                                <div class="col-md-12">
                                                                    <label for="address" class="required">Street
                                                                        Address</label> <input type="text"
                                                                                               class="form-control"
                                                                                               name="address"
                                                                                               value=""
                                                                                               placeholder="Street Address, Apt#, Room#"
                                                                                               id="setaddress"
                                                                                               autocomplete="no"
                                                                                               required="required"/>

                                                                </div>
                                                            </div>
                                                            <div class="form-group row">
                                                                <div class="col-md-6">
                                                                    <label for="city" class="required">City</label>
                                                                    <input type="text"
                                                                           class="form-control required" name="city"
                                                                           id="setcity"
                                                                           placeholder="city" value="">
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <label for="state" class="required">State</label>
                                                                    <input type="text"
                                                                           class="form-control required" name="state"
                                                                           id="setstate"
                                                                           placeholder="State" value=""
                                                                           required="required">
                                                                </div>
                                                            </div>


                                                            <div class="form-group row">
                                                                <div class="col-md-6">
                                                                    <label for="phone" class="required">Phone</label>
                                                                    <div class="input-group mb-3">
                                                                        <div class="input-group-prepend">
                                                                            <span class="input-group-text">+1</span>
                                                                        </div>
                                                                        <input type="text"
                                                                               class="form-control required"
                                                                               id="setphone" name="phone"
                                                                               maxlength="10" value=""
                                                                               placeholder="phone"
                                                                               autocomplete="no">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <label for="zip">Zip Code</label> <input type="text"
                                                                                                             class="form-control required"
                                                                                                             maxlength="10"
                                                                                                             name="zip"
                                                                                                             value=""
                                                                                                             placeholder="xxxx"
                                                                                                             id="setzip">
                                                                </div>


                                                            </div>
                                                        </div>
                                                        <div class="col-sm-6">

                                                            <div class="form-group row">
                                                                <div class="col-md-12">
                                                                    <label for="address">Passport Number</label> <input
                                                                            type="text"
                                                                            class="form-control" name="passport_no"
                                                                            value=""
                                                                            placeholder=""
                                                                            autocomplete="no"/>

                                                                </div>
                                                            </div>

                                                            <div class="form-group row">
                                                                <div class="col-md-12">
                                                                    <label for="address">Passport Expiry</label> <input
                                                                            type="text"
                                                                            class="form-control datepicker"
                                                                            name="passport_expiry_date"
                                                                            value=""
                                                                            placeholder=""
                                                                            autocomplete="no"/>

                                                                </div>
                                                            </div>
                                                            <div class="form-group row">
                                                                <div class="col-md-12">
                                                                    <label class="required">Country</label>
                                                                    <select name="country" class="form-control"
                                                                            required="required">
                                                                        <option value="">--</option>
                                                                        <?php
                                                                        $getdata = DB::query("select * from countries order by `name`");
                                                                        foreach ($getdata as $row) {
                                                                            echo '<option value="' . $row['name'] . '">' . $row['name'] . '</option>';
                                                                        }
                                                                        ?>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <button type="submit"
                                                                    class="btn btn-dark btn-flat btn-block"
                                                                    name="btnSaveBooking">CONFIRM BOOKING
                                                            </button>

                                                        </div>


                                                    </div>


                                                </div>
                                            </div>

                                        </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




