<?php

$properties_rooms_id = isset($_REQUEST['properties_rooms_id']) ? (int)$_REQUEST['properties_rooms_id'] : '';

if (isset($_POST['btnSave'])) {
    @extract($_POST);
    DB::insertUpdate('properties_rooms', array(
        'properties_rooms_id' => $properties_rooms_id,
        'name' => $name,
        'floor' => $floor,
        'no_of_beds' => $no_of_beds,
        'capacity_persons' => $capacity_persons,
        'description' => $description,
        'highlights' => $highlights,
        'featured_img' => '',
        'properties_id' => $properties_id,
        'charges' => $charges
    ));
    if ($properties_rooms_id == '') {
        $properties_rooms_id = DB::insertId();
    }

    if (isset($_FILES['featured_img']) and is_uploaded_file($_FILES['featured_img']['tmp_name'])) {

        $handle = new Upload($_FILES['featured_img']);
        if ($handle->uploaded) {
            $img_name = str_replace(' ', '-', trim($name)) . '-featured-room-' . $properties_rooms_id;
            $type = pathinfo($_FILES['featured_img']['name'], PATHINFO_EXTENSION);
            $handle->image_resize = true;
            $handle->image_ratio = true;
            $handle->image_x = 720;

            $handle->file_overwrite = true;


            if ($type == 'jpeg') {
                $type = 'jpg';
                $handle->image_convert = 'jpg';
            }

            DB::update('properties_rooms', array(
                'featured_img' => $img_name . '.' . $type
            ), 'properties_rooms_id=%s', $properties_rooms_id);
            $handle->file_new_name_body = $img_name;
            $handle->process('../images/properties');
            if ($handle->processed) {
                // echo 'image resized';
                $handle->clean();
            } else {
                echo 'error : ' . $handle->error;
            }
        }
    }


    echo "<script type='text/javascript'>
		<!--
        Swal.fire({
  icon: 'success',
position: 'top-right',
  title: 'Room has been saved.!',
  showConfirmButton: false,
  timer: 1500
}).then(function () {
window.location = '?route=modules/properties/manage_rooms';
   });
       	//-->
		</script>";

}


if ($properties_rooms_id <> '' && $properties_rooms_id <> 0) {
    $fetch_data = DB::queryFirstRow("SELECT * FROM properties_rooms WHERE properties_rooms_id = '" . $properties_rooms_id . "'");
    @extract($fetch_data);
}
?>


<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">

                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->

                        <form method="POST" action="" enctype="multipart/form-data">
                            <input type="hidden" name="properties_rooms_id" value="<?php echo $properties_rooms_id; ?>">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card">
                                        <div class="card-header">
                                            <h5>Add Room</h5>
                                            <button type="submit" class="btn btn-dark  pull-right"
                                                    name="btnSave" id="btnSave"
                                                    value="Save">
                                                Save <i class="fas fa-save"></i>
                                            </button>
                                        </div>
                                        <div class="card-block">

                                            <div class="row">
                                                <div class="col-sm-6">

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4 required">Property</label>
                                                        <div class="col-sm-8">
                                                            <select class="form-control" name="properties_id"
                                                                    required="required">
                                                                <option value="">--</option>
                                                                <?php
                                                                $getproperties = DB::query("SELECT properties_id, name FROM properties ORDER BY name");
                                                                foreach ($getproperties as $prop) {
                                                                    echo ' <option value = "' . $prop['properties_id'] . '"';
                                                                    if(@$properties_id==$prop['properties_id']) echo ' SELECTED';
                                                                    echo '>' . $prop['name'] . ' </option > ';
                                                                }
                                                                ?>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4 required">Room Name</label>
                                                        <div class="col-sm-8">
                                                            <input type="text" placeholder="Room#1" class="form-control"
                                                                   name="name" required="required" value="<?php echo @$name; ?>">

                                                        </div>
                                                    </div>


                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4 required">Floor </label>
                                                        <div class="col-sm-8">
                                                            <input type="text" placeholder="Floor1" class="form-control"
                                                                   name="floor" required="required"  value="<?php echo @$floor; ?>">

                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4 required">No of
                                                            Beds </label>
                                                        <div class="col-sm-8">
                                                            <input type="number" placeholder="1" class="form-control"
                                                                   name="no_of_beds" required="required" value="<?php echo @$no_of_beds; ?>">

                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4 required">Persons
                                                            Capacity</label>
                                                        <div class="col-sm-8">
                                                            <input type="number" placeholder="2" class="form-control"
                                                                   name="capacity_persons" required="required"  value="<?php echo @$capacity_persons; ?>">
                                                            <small class="text-muted">*How many people can stay in
                                                                room</small>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4 required">Charges</label>
                                                        <div class="col-sm-8">
                                                            <input type="text" placeholder="$$" class="form-control"
                                                                   name="charges" required="required"  value="<?php echo @$charges; ?>">
                                                            <small class="text-muted">*Per night</small>
                                                        </div>
                                                    </div>


                                                </div>
                                                <div class="col-sm-6">

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4">Featured Image</label>
                                                        <div class="col-sm-8">
                                                            <input type="file" name="featured_img" class="form-control">
                                                            <small class="text-muted">*leave blank for no image change</small><br>
                                                            <?php
                                                            if (@$featured_img <> '') {
                                                                echo '<img style="max-width: 450px;" src="' . SITE_URL . 'images/properties/' . @$featured_img . '"/>';
                                                            }
                                                            ?>

                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4">Description</label>
                                                        <div class="col-sm-8">
                                                            <textarea class="form-control "
                                                                      name="description"><?php echo @$description; ?></textarea>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="control-label col-sm-4">Highlights</label>
                                                        <div class="col-sm-8">
                                                            <textarea class="form-control  wysihtml5"
                                                                      name="highlights"> <?php echo @$highlights; ?></textarea>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>


                                        </div>

                                    </div>
                                </div>

                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




