<?php


if (isset($_POST['btnAddExpense'])) {
    @extract($_POST);
    DB::insert('expenses', array(
        'coa_id' => $coa_id,
        'title' => $title,
        'amount' => $amount,
        'description' => $description,
        'created_on' => $now,
        'created_by' => $_SESSION['user_name']

    ));

    do_account_transaction($amount, $coa_id, 'expense');

    echo "<script type='text/javascript'>
		<!--
        Swal.fire({
  icon: 'success',
position: 'top-right',
  title: 'Expense has been saved.!',
  showConfirmButton: false,
  timer: 1500
}).then(function () {
window.location = '?route=modules/properties/manage_properties';
   });
        
		//-->
		</script>";

}


if (isset($_GET["page"])) {
    $page = (int)$_GET["page"];
} else {
    $page = 1;
}

if (isset($_POST['searchItem'])) {
    $page = 1;
}

if (isset($_GET['item_no'])) {
    $item_no = $_GET['item_no'];
} else if (isset($_POST['item_no'])) {
    $item_no = $_POST['item_no'];
} else {
    $item_no = '';
}


$setLimit = 15;
$pageLimit = ($page * $setLimit) - $setLimit;

if (isset($_GET['cID'])) {
    $cID = $_GET['cID'];
} else if (isset($_POST['cID'])) {
    $cID = $_POST['cID'];
} else {
    $cID = '';
}


$sql = "SELECT * FROM properties_detail WHERE 1=1";

if ($cID != '') {

    $sql = "SELECT * FROM properties_detail pd 
JOIN properties p
ON(pd.`properties_id`=p.`properties_id`)
WHERE p.`properties_id` = '" . $cID . "' ";
    if ($item_no != '') {

        $sql .= " AND p.`name` like '%" . $item_no . "%' ";
        goto skipItemSQL;
    }
}

if ($item_no != '') {

    $sql .= " AND name like '%" . $item_no . "%' ";
}

skipItemSQL:

$sql .= " ORDER BY created_on";
// echo 'SOrt '.$sorting_by;
$sql2 = $sql;
DB::query($sql2);
$total_records = DB::count();
// echo $total_records;
$sql .= ' LIMIT ' . $pageLimit . ', ' . $setLimit;
// echo $sql;
?>

<?php
// Draft Expense Voucher
$tbl = new HTML_Table('', 'table table-hover table-bordered');
$tbl->addTSection('thead');
$tbl->addRow();
$tbl->addCell('Type', '', 'header');
$tbl->addCell('Img', '', 'header');
$tbl->addCell('Title', '', 'header');
$tbl->addCell('Higlights', '', 'header');
$tbl->addCell('Contact', '', 'header');
$tbl->addCell('Location', '', 'header');
$tbl->addCell('Active', '', 'header');

$tbl->addCell('Action', 'actionbtn', 'header');

$tbl->addTSection('tbody');

$res = DB::query($sql);

foreach ($res as $row) {
    $tbl->addRow();
    $tbl->addCell(get_property_name($row['properties_id']));
    if ($row['thumb'] <> '') {
        $tbl->addCell('<img src="' . SITE_URL . 'images/properties/' . $row['thumb'] . '"/>');
    } else {
        $tbl->addCell('');
    }

    $tbl->addCell($row['name']);

    $tbl->addCell(htmlspecialchars_decode($row['highlights']));
    $tbl->addCell('<i class="fas fa-phone-volume"></i> ' . $row['contact'] . '<br><i class="fas fa-envelope"></i> ' . $row['email']);
    $tbl->addCell('<i class="fas fa-map-marker-alt"></i> ' . $row['address'] . ', ' . $row['city'] . ' ' . $row['state']);

    if ($row['active'] == '1') {
        $tbl->addCell('Yes');
    } else {
        $tbl->addCell('No');
    }

    $tbl->addCell('
<div class="btn-group" role="group">
<a href="?route=modules/properties/properties_crud&properties_detail_id=' . $row['properties_detail_id'] . '" class="pull btn btn-dark btn-sm">Detail</a>
<button type="button" class="btn btn-outline-dark btn-sm dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
    <i class="fas fa-bars"></i><span class="caret"></span></button>
<div class="dropdown-menu">
<a class="dropdown-item delete" data-msg="Are you sure to delete Property?" 
   data-href="?route=modules/products/delete_product&products_id=' . $row['properties_detail_id'] . '">Delete</a>
<a target="_blank" class="dropdown-item" href="' . SITE_URL . 'p/' . $row['properties_detail_id'] . '">Preview</a>
<a href="javascript:;"  class="dropdown-item addexpense" data-id="' . $row['properties_detail_id'] . '" data-toggle="modal" data-target="#expenseModal">
 Add Expenses
</a>
</div></div>');
    // $tbl->addCell('<a href="?route=modules/shop/view_product&products_id='.$row['products_id'].'" class="delete btn btn-sm btn-danger">Delete</a>');
}

?>


<style>
    .actionbtn {
        width: 150px;
    }
</style>
<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">

                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <h5>Properties</h5>
                                        <a class="btn btn-dark pull-right"
                                           href="?route=modules/properties/properties_crud"><i
                                                    class="fa fa-plus"></i> Add New Property</a>


                                    </div>
                                    <div class="card-block">
                                        <div class="row">
                                            <div class="col-md-12 mb-2">
                                                <div class="pull-left">
                                                    <form method="GET" action="" id="frmFilter">

                                                        <select id="cID" name="cID" class="form-control">
                                                            <option value="">-All Types-</option>
                                                            <?php
                                                            $cate = DB::query("SELECT c.`properties_id`, c.`name` FROM properties c");
                                                            foreach ($cate as $cat) {
                                                                echo '<option value="' . $cat['properties_id'] . '"';
                                                                if ($cID == $cat['properties_id']) {
                                                                    echo 'SELECTED';
                                                                }
                                                                echo '>';

                                                                echo $cat['name'] . '</option>';
                                                            }
                                                            ?>
                                                        </select> <input type="hidden" name="route"
                                                                         value="modules/properties/manage_properties">
                                                    </form>
                                                    <script>

                                                        $(function () {
                                                            $("#cID").on("change", function () {
                                                                $("#frmFilter").submit();
                                                            });
                                                        });

                                                    </script>
                                                </div>

                                                <div class=" pull-right">

                                                    <form method="POST" class="form-inline" action="">
                                                        <div class="input-group">
                                                            <input type="text" name="item_no" id="item_no"
                                                                   value="<?php echo $item_no; ?>"
                                                                   placeholder="Seach Property.." class="form-control"/>
                                                            <span
                                                                    class="input-group-append">

																<button type="submit" id="searchItem" name="searchItem"
                                                                        class="btn btn-default" type="button">
																	<i class="fa fa-search"></i>
																</button>
															</span>
                                                        </div>


                                                    </form>


                                                </div>

                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">

                                    <div class="card-block">

                                        <?php echo $tbl->display(); ?>

                                        <?php
                                        $page_url = "?route=modules/properties/manage_properties&";
                                        if ($cID != '') {
                                            $page_url .= 'cID=' . $cID . '&';
                                        }
                                        echo displayPaginationBelow($setLimit, $page, $sql2, $page_url);
                                        ?>


                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>


<script>
    $(function () {

        $(".addexpense").click(function () {
            $("#properties_detail_id").val($(this).data('id'));
        });

        $("#item_no").on('keydown keyup', function (e) {
            if (e.keyCode == '13') {
                $("#searchItem").trigger('click');
            }
        });
    });


</script>


<!-- The Modal -->
<div class="modal" id="expenseModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <form method="POST" action="">
                <input type="hidden" name="properties_detail_id" id="properties_detail_id">
                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Add Expenses</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <div class="form-group row">
                        <label for="select" class="col-4 col-form-label">Expense From</label>
                        <div class="col-8">
                            <select id="coa_id" name="coa_id" class="form-control">
                                <option value="">-SELECT-</option>
                                <?php
                                $output = '';
                                CategoryTreeSelectCOA($output, 0, '', '');
                                echo $output;
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="text" class="col-4 col-form-label">Amount</label>
                        <div class="col-8">
                            <input id="amount" name="amount" placeholder="0.00" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="text1" class="col-4 col-form-label">Title</label>
                        <div class="col-8">
                            <input id="title" name="title" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="textarea" class="col-4 col-form-label">Description</label>
                        <div class="col-8">
                            <textarea id="description" name="description" cols="40" rows="5"
                                      class="form-control"></textarea>
                        </div>
                    </div>
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                    <button type="submit" name="btnAddExpense" id="btnAddExpense" class="btn btn-dark">Add</button>
                </div>
            </form>
        </div>
    </div>
</div>