<?php

if (isset($_GET['delete'])) {
    if (isset($_GET['id'])) {
        DB::delete('properties_rooms', 'properties_rooms_id=%s', (int)$_GET['id']);
        echo "<script type='text/javascript'>
		<!--
        Swal.fire({
  icon: 'success',
position: 'top-right',
  title: 'Room has been deleted.!',
  showConfirmButton: false,
  timer: 1000
}).then(function () {
window.location = '?route=modules/properties/manage_rooms';
   });
       	//-->
		</script>";
    }
}

// Draft Expense Voucher
$tbl = new HTML_Table('', 'table table-hover table-striped table-bordered');
$tbl->addTSection('thead');
$tbl->addRow();
$tbl->addCell('Property', '', 'header');
$tbl->addCell('Room', '', 'header');
$tbl->addCell('Floor', '', 'header');
$tbl->addCell('Charges', '', 'header');
$tbl->addCell('No of Beds', '', 'header');
$tbl->addCell('Capacity Persons', '', 'header');
$tbl->addCell('Description', '', 'header');
$tbl->addCell('Highlights', '', 'header');
$tbl->addCell('Featured Image', '', 'header');

$tbl->addTSection('tbody');

$sql = "SELECT p.`name` AS prop_name, pr.* FROM properties_rooms pr
LEFT JOIN properties p
ON(p.`properties_id`=pr.`properties_id`)
ORDER BY p.`name`";

$res = DB::query($sql);

foreach ($res as $row) {
    $tbl->addRow();
    $tbl->addCell($row['prop_name']);
    $tbl->addCell($row['name']);
    $tbl->addCell($row['floor']);
    $tbl->addCell($row['charges']);
    $tbl->addCell($row['no_of_beds']);
    $tbl->addCell($row['capacity_persons']);
    $tbl->addCell($row['description']);
    $tbl->addCell(htmlspecialchars_decode($row['highlights']));
    if ($row['featured_img'] <> '') {
        $tbl->addCell('<img src="' . SITE_URL . 'images/properties/' . $row['featured_img'] . '"/>');
    } else {
        $tbl->addCell('');
    }

    $tbl->addCell('

<a href="?route=modules/properties/add_room&properties_rooms_id=' . $row['properties_rooms_id'] . '" class="pull btn btn-dark btn-sm">Edit</a>
<a class="btn btn-outline-danger btn-sm delete" data-msg="Are you sure to delete room?" 
   data-href="?route=modules/properties/manage_rooms&id=' . $row['properties_rooms_id'] . '&delete=yes&auth=true">Delete</a>

');

}

?>


<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">

                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <h5>Manage Rooms</h5>
                                        <?php if ($_SESSION['role_id'] == 1) { ?>
                                            <a href="?route=modules/properties/add_room" data-toggle="#modal"
                                               data-target="" class="pull-right btn btn-dark"> <span
                                                        class="glyphicon glyphicon-plus"></span> &nbsp;Add Room
                                            </a>
                                        <?php } ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-block">


                                        <?php echo $tbl->display(); ?>


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
