<?php
$quote_card_info_id = isset($_GET['leads_id']) ? (int) trim($_GET['leads_id']) : '';
$customer = isset($_GET['customer']) ? trim($_GET['customer']) : '';
$email = isset($_GET['email']) ? trim($_GET['email']) : '';
$address = isset($_GET['address']) ? trim($_GET['address']) : '';
$contact = isset($_GET['phone']) ? trim($_GET['phone']) : '';
$errors = '';
$success = '';

$invoice_id = '';

if (isset($_POST['btnCompleteInvoice'])) {

    $invoice_id = saveInvoice($_POST, 'Paid');

    if (isset($_FILES['final_design']) and is_uploaded_file($_FILES['final_design']['tmp_name'])) {

        $handle = new Upload($_FILES['final_design']);
        $handle->file_max_size = '4000000';
        $handle->file_overwrite = true;
        $customer_id = DB::queryFirstField("SELECT qc.`quote_customers_id` FROM quote_customers qc WHERE qc.`quote_card_info_id` = '" . $_POST['quote_card_info_id'] . "'");
        if ($customer_id != '') {
            $dir = '../uploads/customer_' . $customer_id;
            if (! file_exists($dir)) {
                mkdir($dir, 0777, true);
            }
            $handle->process($dir . '/');
            if ($handle->processed) {
                $handle->clean();
                // $_SESSION['errors'] = '';
                $msg = 'Upload Success';

                DB::update('sale_invoice', array(
                    'final_design' => $_FILES['final_design']['name']
                ), 'sale_invoice_id=%s', $invoice_id);
            } else {
                $errors = $handle->error;
            }
        } else {
            $errors = 'Design can not upload';
        }
    }
    $success = ' Sale Invoice saved successfully as Paid. ';
} elseif (isset($_POST['btnSaveDraft'])) {

    $invoice_id = saveInvoice($_POST, 'Draft');
    if (isset($_FILES['final_design']) and is_uploaded_file($_FILES['final_design']['tmp_name'])) {

        $handle = new Upload($_FILES['final_design']);
        $handle->file_max_size = '4000000';
        $handle->file_overwrite = true;
        $customer_id = DB::queryFirstField("SELECT qc.`quote_customers_id` FROM quote_customers qc WHERE qc.`quote_card_info_id` = '" . $_POST['quote_card_info_id'] . "'");
        if ($customer_id != '') {
            $dir = '../uploads/customer_' . $customer_id;
            if (! file_exists($dir)) {
                mkdir($dir, 0777, true);
            }
            $handle->process($dir . '/');
            if ($handle->processed) {
                $handle->clean();
                // $_SESSION['errors'] = '';
                // $msg = 'Upload Success';

                DB::update('sale_invoice', array(
                    'final_design' => $_FILES['final_design']['name']
                ), 'sale_invoice_id=%s', $invoice_id);
            } else {
                $errors = $handle->error;
            }
        } else {
            $errors = 'Design can not upload';
        }
    }
    $success = 'Sale Invoice saved successfully as Draft. ';
} elseif (isset($_POST['btnSaveDraftEmail'])) {

    $invoice_id = saveInvoice($_POST, 'Pending');

    if ($_POST['customer_email'] != '') {
        sendBillingInvoice($invoice_id, $_POST['customer_email'], $_POST['subTotal']);
    }

    if (isset($_FILES['final_design']) and is_uploaded_file($_FILES['final_design']['tmp_name'])) {

        $handle = new Upload($_FILES['final_design']);
        $handle->file_max_size = '4000000';
        $handle->file_overwrite = true;
        $customer_id = DB::queryFirstField("SELECT qc.`quote_customers_id` FROM quote_customers qc WHERE qc.`quote_card_info_id` = '" . $_POST['quote_card_info_id'] . "'");
        if ($customer_id != '') {
            $dir = '../uploads/customer_' . $customer_id;
            if (! file_exists($dir)) {
                mkdir($dir, 0777, true);
            }
            $handle->process($dir . '/');
            if ($handle->processed) {
                $handle->clean();
                // $_SESSION['errors'] = '';
                // $msg = 'Upload Success';

                DB::update('sale_invoice', array(
                    'final_design' => $_FILES['final_design']['name']
                ), 'sale_invoice_id=%s', $invoice_id);
            } else {
                $errors = $handle->error;
            }
        } else {
            $errors = 'Design can not upload';
        }
    }

    $success = ' Sale Invoice saved successfully.';
} else {}

function saveInvoice($data, $reciept_type)
{
    $_POST = $data;

    $date = date('Y-m-d');

    $now = date('Y-m-d G:i:s');

    /*
     * if (checkInvoiceWithLead($_POST['quote_card_info_id']) > 0) {
     * echo "<script type='text/javascript'>
     * <!--
     * Swal.fire({
     * icon: 'error',
     * title: 'Invoice already created of this lead!',
     * showConfirmButton: false,
     * timer: 3500
     * }).then(function () {
     * window.location = '?route=modules/gl/sale_invoice_view&invoice_id=" . checkInvoiceWithLead($quote_card_info_id) . "';
     * });
     *
     * //-->
     * </script>";
     * die();
     * }
     */

    $insert = DB::Insert('sale_invoice', array(
        'date' => $date,
        'customer' => $_POST['customer'],
        'quote_card_info_id' => (int) $_POST['quote_card_info_id'],
        'total_qty' => $_POST['total_qty'],
        'no_of_item' => $_POST['count_item'],
        'sub_total' => $_POST['sub_total'],
        'dis_perc' => $_POST['disc'],
        'dis_amount' => $_POST['s_total2'],
        'tax_perc' => $_POST['tax'],
        'shipping_amount' => $_POST['shipping_amount'],
        'tax_amount' => $_POST['s_total3'],
        'total_amount' => $_POST['subTotal'],
        'comment1' => $_POST['comment1'],
        'comment2' => $_POST['comment2'],
        'created_by' => $_SESSION['user_name'],
        'created_on' => $now,
        'reciept_type' => $reciept_type,
        'tender' => @$_POST['tender'],
        'tender_amount' => $_POST['subTotal'],
        'due_amount' => $_POST['due_amount'],
        'customer_phone' => $_POST['customer_phone'],
        'customer_email' => $_POST['customer_email'],
        'customer_type' => 'Web',
        'address' => $_POST['address'],
        'city' => $_POST['city'],
        'state' => $_POST['state']
    ));

    $invoice_id = DB::insertId();

    for ($i = 0, $iMaxSize = count($_POST['rows']); $i < $iMaxSize; $i ++) {
        if (trim($_POST['item'][$i]) != '') {

            /*
             * if already exist update quantity
             */

            /* let size as zero for this case */

            $_POST['size'][$i] = 0;

            $is_exist = DB::queryFirstRow("SELECT sd.`qty`,  sd.`sale_invoice_detail_id` FROM sale_invoice_detail sd WHERE 
                                                    sd.`sale_invoice_id` = '" . $invoice_id . "' 
                                                    AND sd.`item` = '" . $_POST['item'][$i] . "' 
                                                    AND sd.`size` = '" . $_POST['size'][$i] . "'");
            if (DB::count() > 0) {

                $qty = $is_exist['qty'];
                $qty = (int) $_POST['qty'][$i] + (int) $qty;
                $total_cost = $_POST['cost'][$i] * $qty;
                $total = $_POST['total'][$i];
                $sd_id = $is_exist['sale_invoice_detail_id'];
                DB::update("sale_invoice_detail", array(
                    'qty' => $qty,
                    'total_cost' => $total_cost,
                    'total' => $total
                ), 'sale_invoice_detail_id=%s', $sd_id);
            } else {

                $total_cost = $_POST['cost'][$i] * (int) $_POST['qty'][$i];
                $insert = DB::Insert('sale_invoice_detail', array(
                    'sale_invoice_id' => $invoice_id,
                    'item' => $_POST['item'][$i],
                    'description' => $_POST['description'][$i],
                    'size' => $_POST['size'][$i],
                    'qty' => $_POST['qty'][$i],
                    'unit_price' => $_POST['rate'][$i],
                    'unit_cost' => $_POST['cost'][$i],
                    'total_cost' => $total_cost,
                    'total' => $_POST['total'][$i],
                    'last_sold' => $now
                ));
            }
        }
    }

    return $invoice_id;
}

if ($success != '') {

    echo "<script type='text/javascript'>
		<!--
        Swal.fire({
  icon: 'success',
position: 'top-right',
  title: '" . $success . "',
  showConfirmButton: false,
  timer: 2500
}).then(function () {
window.location = '?route=modules/gl/sale_invoice_view&invoice_id=" . $invoice_id . "';
   });
    
		//-->
		</script>";
} else if ($errors != '') {
    echo "<script type='text/javascript'>
		<!--
        Swal.fire({
  icon: 'error',
  title: '" . $errors . "',
  showConfirmButton: false,
  timer: 3500
}).then(function () {
window.location = '?route=modules/gl/new_invoice';
   });
    
		//-->
		</script>";
} else {}

?>





<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
	<div class="pcoded-wrapper">
		<div class="pcoded-content">
			<div class="pcoded-inner-content">

				<div class="main-body">
					<div class="page-wrapper">
						<!-- [ Main Content ] start -->

						<form method="POST" action="" enctype="multipart/form-data"
							role="form" name="frmInvoice" id="frmInvoice"
							onkeypress="return event.keyCode != 13;">
							<div class="row">
								<div class="col-sm-12">
									<div class="card">
										<div class="card-header">
											<h5>New Expenses</h5>

											<div class="col-md-6 pull-right">
												<button type="submit" class="btn btn-dark  pull-right"
													name="btnSaveDraftEmail" id="btnSaveDraftEmail"
													value="Save">
													Save &nbsp;<i class="fas fa-save"></i>
												</button>
											</div>


										</div>
										<div class="card-block">

											<div class="row invoive-info d-print-inline-flex">
												<div class="col-sm-4">
													<!--<h6>Expense information :</h6>-->
													<!--<table-->
													<!--	class="table table-responsive invoice-table invoice-order table-borderless">-->
													<!--	<tbody>-->
													<!--		<tr>-->
													<!--			<th>Date:</th>-->
													<!--			<td><?php echo date('d-m-Y'); ?>-->
													<!--			</td>-->
													<!--		</tr>-->

													<!--		<tr>-->

													<!--			<td colspan="2"><label>Lead Id:</label><input type="tel"-->
													<!--				name="quote_card_info_id" class="form-control"-->
													<!--				value="<?php echo @$quote_card_info_id; ?>"-->
													<!--				placeholder="" required></td>-->
													<!--		</tr>-->

													<!--		<tr>-->

													<!--			<td colspan="2"><label>Final Design:</label><input-->
													<!--				class="form-control" value="" name="final_design"-->
													<!--				id="final_design" type="file" placeholder="Design"></td>-->
													<!--		</tr>-->

													<!--	</tbody>-->
													<!--</table>-->
												</div>
												<div class="col-sm-4 invoice-client-info">

													<h6>Expense:</h6>
													<table
														class="table invoice-table invoice-order table-borderless">
														<tbody>
															<tr>
																<th>Title</th>
																<td><input type="text" name="title" id="title"
																	value="" class="form-control"
																	required="required" placeholder="title"></td>
															</tr>
															<tr>
																<th class="pt-1">Amount</th>
																<td class="pt-1"><input class="form-control"
																	name="amount" id="amount" type="text"
																	placeholder="0.0"
																	value="<?php ?>" autocomplete="off"
																	maxlength="10"></td>
															</tr>
															<tr>
																<th class="pt-1">Description</th>
																<td class="pt-1"><textarea class="form-control"
																		name="description" id="description"
																		placeholder="Expense description" autocomplete="off"><?php ?></textarea></td>
															</tr>

														</tbody>
													</table>

												</div>

												<div class="col-sm-4">
													<!--<h6 class="m-b-20">-->
													<!--	Invoice Number <span>#</span>-->
													<!--</h6>-->
													<!--<table-->
													<!--	class="table invoice-table invoice-order table-borderless">-->
													<!--	<tbody>-->
													<!--		<tr>-->

													<!--			<td><h6>Payment Method:</h6>-->
													<!--				<div class="form-check">-->
													<!--					<label class="form-check-label"> <input-->
													<!--						class="form-check-input" type="radio" class="tender"-->
													<!--						value="card" name="tender" id="card" />Card-->
													<!--					</label>-->
													<!--				</div>-->
													<!--				<div class="form-check">-->
													<!--					<label class="form-check-label"> <input-->
													<!--						class="form-check-input" type="radio" class="tender"-->
													<!--						value="paypal" name="tender" id="paypal" />Paypal-->
													<!--					</label>-->
													<!--				</div>-->
													<!--				<div class="form-check">-->
													<!--					<label class="form-check-label"> <input-->
													<!--						class="form-check-input" type="radio" class="tender"-->
													<!--						value="wire" name="tender" id="wire" />Wire Transfer-->
													<!--					</label>-->
													<!--				</div>-->

													<!--				<div class="form-check">-->
													<!--					<label class="form-check-label"> <input-->
													<!--						class="form-check-input" type="radio" class="tender"-->
													<!--						value="stripe" name="tender" id="stripe" CHECKED />Stripe-->
													<!--					</label>-->
													<!--				</div></td>-->
													<!--		</tr>-->
													<!--	</tbody>-->
													<!--</table>-->
													<!--<h6 class="text-uppercase text-primary">Total :</h6>-->
													<!--<h3 id="subTotal3">$0.00</h3>-->
												</div>
											</div>
										</div>
									</div>








									<div class="row">
										<div class="col-sm-12">
											<div class="card">
												<div class="card-header">
													<h5>Expense Detail</h5>
												</div>


												<div class="card-block">
													<div class="col-md-12">
														<div class="row">
															<table id="tblinvoice"
																class="table table-bordered table-hover table-striped">
																<thead>
																	<tr>
																		<th width="2%"><input id="check_all"
																			class="formcontrol" type="checkbox" /></th>
																		<th width="20%"><label>Item</label></th>
																		<th width="10%"><label>Unit Price</label></th>
																		
																		<th width="10%"><label>Qty</label></th>
																		
																		<th width="10%"><label>Total</label></th>
																	</tr>
																</thead>
																<tbody>
																	<tr>
																		<td><input class="" tabindex="-1" type="checkbox" /></td>
																		<td><select class="form-control item_code"
																			name="" id="" required="required">
                
              </select></td>
																		
																	
																		<td><input type="text" name="" id=""
																			class="form-control totalLinePrice"
																			autocomplete="off"
																			onkeypress="return IsNumeric(event);"
																			ondrop="return false;" onpaste="return false;"
																			readonly="true" tabindex="-1" required /></td>

																		<td><input type="tel"
																			class="form-control changesNo qty" name="qty[]"
																			id="qty_1" onkeypress="return IsNumeric(event);"
																			required onfocus="this.select();" required="required"
																			autocomplete="false"></td>
																		<td><input class="form-control changesNo"
																			name="rate[]" tabindex="-1" id="rate_1" type="tel"
																			placeholder="Rate" autocomplete="off"
																			onkeypress="return IsNumeric(event);"
																			onfocus="this.select();" required /></td>
																		

																	</tr>
																</tbody>
															</table>

														</div>
													</div>
													<div class="col-md-12">
														<div class="row">
															<div class='col-md-6'>
																<button class="btn btn-default btn-sm deleterow"
																	type="button" tabindex="-1">
																	<i class="fas fa-minus"></i>Remove
																</button>
																<button class="btn btn-default btn-sm addmore"
																	type="button" tabindex="-1">
																	<i class="fas fa-plus"></i>Add Row
																</button>

																
																
															</div>
														</div>







													</div>
												</div>
											</div>
										</div>
									</div>
								</div>

								
						
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>






<script type="text/javascript" src="sale_invoice.js?v=1.2.2"></script>


