


<?php
// Draft Expense Voucher
$tbl = new HTML_Table('', 'table table-hover table-striped table-bordered');
$tbl->addTSection('thead');
$tbl->addRow();
$tbl->addCell('ID#', '', 'header');
$tbl->addCell('Account', '', 'header');
$tbl->addCell('Title', '', 'header');
$tbl->addCell('Description', '', 'header');
$tbl->addCell('Amount', '', 'header');
$tbl->addCell('TimeStamp', '', 'header');
$tbl->addCell('Action', '', 'header');
$tbl->addTSection('tbody');

$sql = "SELECT * FROM expenses ORDER BY created_on DESC";

$res = DB::query($sql);

foreach ($res as $row) {
    $tbl->addRow();
    $tbl->addCell($row['expenses_id']);
    $tbl->addCell(get_coa_name($row['coa_id']));
    $tbl->addCell($row['title']);
    $tbl->addCell($row['amount']);
    $tbl->addCell(date('d-M-y H:i', strtotime($row['created_on'])));

    $tbl->addCell('');

}

?>


<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">

                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <h5>All Incomes</h5>
                                        <?php if($_SESSION['role_id']== 1 ){ ?>
										<a href="?route=modules/gl/add_Income" data-toggle="#modal"
											data-target="" class="pull-right btn btn-dark"> <span
											class="glyphicon glyphicon-plus"></span> &nbsp;Add New
											Income
										</a>
<?php } ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-block">


                                        <?php echo $tbl->display(); ?>



                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="editModal" class="modal fade" role="dialog">
	<div class="modal-dialog">

		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">

				<h4 class="modal-title">Add/Edit Property Category</h4>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>

			<form action="" method="POST" class="form-horizontal"
				enctype="multipart/form-data">

				<div class="modal-body">


					<!--<input type="hidden" name="properties_id" id="properties_id"-->
					<!--	value="">-->
					<div class="form-group row">
						<label class="control-label col-sm-4" for="active">Account</label>
						<div class="col-sm-8">
							<input class="form-control" type="text" name="account" id="account"
								value="" required="required">
						</div>
					</div>
					<div class="form-group row">
						<label class="control-label col-sm-4" for="active">Title</label>
						<div class="col-sm-8">
							<input class="form-control" type="text" name="title" id="title"
								value="" required="required">
						</div>
					</div>
					<div class="form-group row">
						<label class="control-label col-sm-4" for="active">Description</label>
						<div class="col-sm-8">
							<textarea class="form-control" rows="4" cols="50" type="text" name="des" id="des"
								value="" required="required"></textarea>
						</div>
					</div>
					<div class="form-group row">
						<label class="control-label col-sm-4" for="active">Amount</label>
						<div class="col-sm-8">
							<input class="form-control" type="text" name="amount" id="amount"
								value="" required="required">
						</div>
					</div>



				</div>

				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

					<button type="submit" name="btnEdit" id="btnEdit"
						class="btn btn-dark">Add</button>
				</div>

			</form>
		</div>

	</div>
</div>

