


<?php
// Draft Expense Voucher
$tbl = new HTML_Table('', 'table table-hover table-striped table-bordered');
$tbl->addTSection('thead');
$tbl->addRow();
$tbl->addCell('Bookings Ref', '', 'header');
$tbl->addCell('Booked Room', '', 'header');
$tbl->addCell('Customer', '', 'header');
$tbl->addCell('Total Persons', '', 'header');
$tbl->addCell('Booked On', '', 'header');
$tbl->addCell('Checkin', '', 'header');
$tbl->addCell('Checkout', '', 'header');
$tbl->addCell('Total Charges', '', 'header');
$tbl->addCell('Paid', '', 'header');
$tbl->addCell('Status', '', 'header');
$tbl->addTSection('tbody');

$sql = "SELECT * FROM bookings ORDER BY created_on DESC";

$res = DB::query($sql);

foreach ($res as $row) {
    $tbl->addRow();
    $tbl->addCell($row['bookings_ref']);
    $tbl->addCell($row['properties_rooms_id']);
    $tbl->addCell($row['customer_name']);
    $tbl->addCell($row['total_persons']);
    $tbl->addCell(date('d-M-y H:i', strtotime($row['created_on'])));
    $tbl->addCell($row['checkin_date']);
    $tbl->addCell($row['checkout_date']);
    $tbl->addCell($row['total_payable']);
    $tbl->addCell($row['is_paid']);
    $tbl->addCell($row['status']);
    $tbl->addCell('');

}

?>


<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">

                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <h5>Manage Bookings</h5>
                                        <?php if($_SESSION['role_id']== 1 ){ ?>
										<a href="?route=modules/hotel/add_booking" data-toggle="#modal"
											data-target="" class="pull-right btn btn-dark"> <span
											class="glyphicon glyphicon-plus"></span> &nbsp;Add New Booking
										</a>
<?php } ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-block">


                                        <?php echo $tbl->display(); ?>



                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
