<?php
$properties_detail_id = isset($_GET['properties_detail_id']) ? (int) $_GET['properties_detail_id'] : '';
if ($properties_detail_id == '') {
    $properties_detail_id = isset($_POST['properties_detail_id']) ? (int) $_POST['properties_detail_id'] : '';
}

if (isset($_POST['btnSave'])) {

    @extract($_POST);

    if ($properties_detail_id == '' || $properties_detail_id == 0) {

        DB::insert("properties_detail", array(
            'properties_id' => $properties_id,
            'name' => $name,
            'highlights' => $highlights,
            'description' => $description,
            'star_rating' => $star_rating,
            'contact' => $contact,
            'email' => $email,
            'trip_advisor_profile' => $trip_advisor_profile,
            'social_url' => $social_url,
            'address' => $address,
            'city' => $city,
            'state' => $state,
            'created_on' => $now,
            'created_by' => $_SESSION['username'],
            'active' => 1
        ));

        $properties_detail_id = DB::insertId();
    } else {
        DB::update("properties_detail", array(
            'properties_id' => $properties_id,
            'name' => $name,
            'highlights' => $highlights,
            'description' => $description,
            'star_rating' => $star_rating,
            'contact' => $contact,
            'email' => $email,
            'trip_advisor_profile' => $trip_advisor_profile,
            'social_url' => $social_url,
            'address' => $address,
            'city' => $city,
            'state' => $state,
            'created_on' => $now,
            'created_by' => $_SESSION['username'],
            'active' => 1
        ), 'properties_detail_id=%s', $properties_detail_id);
    }

    if (isset($_FILES['thumb']) and is_uploaded_file($_FILES['thumb']['tmp_name'])) {

        $handle = new Upload($_FILES['thumb']);
        if ($handle->uploaded) {
            $img_name = str_replace(' ', '-', trim($name)) . '-featured-' . $properties_detail_id;
            $type = pathinfo($_FILES['thumb']['name'], PATHINFO_EXTENSION);
            $handle->image_resize = true;
            $handle->image_ratio = true;
            $handle->image_x = 720;
           
            $handle->file_overwrite = true;

          
            if ($type == 'jpeg') {
                $type = 'jpg';
                $handle->image_convert = 'jpg';
            }

            DB::update('properties_detail', array(
                'thumb' => $img_name . '.' . $type
            ), 'properties_detail_id=%s', $properties_detail_id);
            $handle->file_new_name_body = $img_name;
            $handle->process('../images/properties');
            if ($handle->processed) {
                // echo 'image resized';
                $handle->clean();
            } else {
                echo 'error : ' . $handle->error;
            }
        }
    }
    echo "<script type='text/javascript'>
		<!--
        Swal.fire({
  icon: 'success',
position: 'top-right',
  title: 'Property has been saved.!',
  showConfirmButton: false,
  timer: 1500
}).then(function () {
window.location = '?route=modules/properties/manage_properties';
   });
        
		//-->
		</script>";
}

if ($properties_detail_id != '') {

    $fetch_row = DB::queryFirstRow("select * from properties_detail where properties_detail_id='" . $properties_detail_id . "'");

    @extract($fetch_row);
}

?>



<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
	<div class="pcoded-wrapper">
		<div class="pcoded-content">
			<div class="pcoded-inner-content">

				<div class="main-body">
					<div class="page-wrapper">
						<!-- [ Main Content ] start -->

						<form method="POST" action="" enctype="multipart/form-data">
							<div class="row">
								<div class="col-sm-12">
									<div class="card">
										<div class="card-header">
											<h5>Add Property</h5>
											<button type="submit" class="btn btn-dark pull-right"
												name="btnSave" id="btnSave">
												<i class="far fa-save"></i>&nbsp;Save
											</button>
										</div>

									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-sm-12">
									<div class="card">
										<div class="card-block">

											<div class="row">

												<div class="col-md-6">


													<input type="hidden"
														value="<?php echo @$properties_detail_id; ?>"
														name="properties_detail_id">
													<div class="form-group">
														<label class="required">Type:</label> <select
															id="properties_id" name="properties_id"
															class="form-control" required="required">
															<option value="">-All Types-</option>
								<?php
        $cate = DB::query("SELECT c.`properties_id`, c.`name` FROM properties c");
        foreach ($cate as $cat) {
            echo '<option value="' . $cat['properties_id'] . '"';
            if (@$properties_id == $cat['properties_id']) {
                echo 'SELECTED';
            }
            echo '>';

            echo $cat['name'] . '</option>';
        }
        ?>
							</select>
													</div>
													<div class="form-group">
														<label class="required">Name:</label> <input type="text"
															name="name" class="form-control" id="name"
															value="<?php echo @$name; ?>" required="required">
													</div>
													<div class="form-group">
														<label>Description:</label>
														<textarea rows="8" cols="" name="description"
															class="form-control wysihtml5" placeholder="Description"><?php echo @$description; ?></textarea>
													</div>

													<div class="form-group">
														<label>Highlights:</label>
														<textarea rows="8" cols="" name="highlights"
															class="form-control wysihtml5" placeholder="Highlights"><?php echo @$highlights; ?></textarea>
													</div>



												</div>

												<div class="col-md-6">

													<div class="form-group">
														<label class="required">Phone:</label> <input type="text"
															name="contact" placeholder="Contact" class="form-control"
															id="contact" value="<?php echo @$contact; ?>"
															required="required">
													</div>
													<div class="form-group">
														<label class="required">Email:</label> <input type="text"
															name="email" placeholder="Email address"
															class="form-control" id="email"
															value="<?php echo @$email; ?>" required="required">
													</div>
													<hr>

													<div class="form-group">
														<label>Trip advisor profile:</label> <input type="text"
															name="trip_advisor_profile" placeholder="https://URL"
															class="form-control" id="trip_advisor_profile"
															value="<?php echo @$trip_advisor_profile; ?>">
													</div>

													<div class="form-group">
														<label>Property Social media link:</label> <input
															type="text" name="social_url" placeholder="https://URL"
															class="form-control" id="social_url"
															value="<?php echo @$social_url; ?>">
													</div>

													<hr>

													<div class="form-group">
														<label class="required">Address:</label>
														<textarea name="address" placeholder="Address.."
															class="form-control" id="address" required="required"><?php echo @$address; ?></textarea>
													</div>

													<div class="form-group">
														<label class="required">State:</label> <select
															name="state" class="form-control" id="state"
															required="required"><option>--</option>
															<?php
            $data = DB::query("SELECT `name` FROM states WHERE country_id='169'");
            foreach ($data as $row) {
                echo '<option value="' . $row['name'] . '"';
                if($row['name']==@$state) echo ' SELECTED';
                echo '>' . $row['name'] . '</option>';
            }
            ?>
															</select>
													</div>

													<div class="form-group">
														<label class="required">City:</label> <input type="text" name="city"
															class="form-control" id="city" value="<?php echo @$city; ?>" required="required">
													</div>
													<hr>
													<div class="form-group">
														<label class="required">Star rating:</label> <select
															name="star_rating" class="form-control" id="star_rating"
															required="required"><option>--</option>
															<?php
            for ($i = 1; $i < 8; $i ++) {
                echo '<option value="' . $i . '"';
                if($i==@$star_rating) echo ' SELECTED';
                    echo '>' . $i . '</option>';
            }
            ?>
															
															
															</select>
													</div>

													<div class="form-group">
                                                        <?php
                                                        if(isset($thumb) && $thumb<>''){
                                                            echo '<img src="' . SITE_URL . 'images/properties/' . $thumb . '"/>';
                                                        }

                                                        ?>
														<label>Featured img:</label><input type="file"
															name="thumb" class="form-control"> <small
															class="text-muted">*leave blank for no change</small>
													</div>


												</div>
											</div>
										</div>
									</div>
								</div>

							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<script>
$(function(){

$("#state").on("change", function(){

	var state = $(this).val();

	$.ajax({

		url: 'ajax_helpers/ajax_city_state.php',
		method: 'GET',
		data: {'state': state},
		success: function(data){
			$("#city").html(data);
		}
		
	});
	
});
	
});
</script>
